org.apache.http.impl.conn

## Class AbstractPooledConnAdapter

- java.lang.Object
- - org.apache.http.impl.conn.AbstractClientConnAdapter
  - - org.apache.http.impl.conn.AbstractPooledConnAdapter

- All Implemented Interfaces:
    Closeable ， AutoCloseable ， ConnectionReleaseTrigger ， HttpRoutedConnection ， ManagedClientConnection ， ManagedHttpClientConnection ， HttpClientConnection ， HttpConnection ， HttpInetConnection ， HttpContext
  已知直接子类：
    BasicPooledConnAdapter ， SingleClientConnManager.ConnAdapter

  已过时。
  （4.2）不要使用

      @Deprecated
      public abstract class AbstractPooledConnAdapter
      extends AbstractClientConnAdapter

  抽象适配器从池`entries`到`managed`客户端连接。 池条目中的连接用于初始化基类。 另外，建立路由的方法被委派给池条目。 `shutdown`和`close`将清除池条目中的跟踪路由，并调用包装连接的相应方法。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractPoolEntry` | `poolEntry` 已过时。 包裹的池条目。

    - ### Fields inherited from interface org.apache.http.protocol.HttpContext

      `RESERVED_PREFIX`

  - ### 构造方法摘要

    构造方法
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractPooledConnAdapter(ClientConnectionManager manager, AbstractPoolEntry entry)` 已过时。 创建一个新的连接适配器。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assertAttached()` 已过时。 （4.1）使用`assertValid(AbstractPoolEntry)`
    `protected void` | `assertValid(AbstractPoolEntry entry)` 已过时。 断言有一个有效的池条目。
    `void` | `close()` 已过时。
    `protected void` | `detach()` 已过时。 从包装的连接中分离此适配器。
    `String` | `getId()` 已过时。 返回连接管理器的使用寿命期望为唯一的连接ID。
    `protected AbstractPoolEntry` | `getPoolEntry()` 已过时。 （4.0.1）
    `HttpRoute` | `getRoute()` 已过时。 获取此连接的当前路由。
    `Object` | `getState()` 已过时。 返回与此连接关联的状态对象。
    `void` | `layerProtocol(HttpContext context, HttpParams params)` 已过时。 在 `tunnelled`连接之上 层叠一个新的协议。
    `void` | `open(HttpRoute route, HttpContext context, HttpParams params)` 已过时。 根据给定的路线打开这个连接。
    `void` | `setState(Object state)` 已过时。 为此连接分配状态对象。
    `void` | `shutdown()` 已过时。
    `void` | `tunnelProxy(HttpHost next, boolean secure, HttpParams params)` 已过时。 表示已建立到中间代理的隧道。
    `void` | `tunnelTarget(boolean secure, HttpParams params)` 已过时。 表示已建立到目标的隧道。

    - ### Methods inherited from class org.apache.http.impl.conn.AbstractClientConnAdapter

      `abortConnection, assertNotAborted, assertValid, bind, flush, getAttribute, getLocalAddress, getLocalPort, getManager, getMetrics, getRemoteAddress, getRemotePort, getSocket, getSocketTimeout, getSSLSession, getWrappedConnection, isMarkedReusable, isOpen, isReleased, isResponseAvailable, isSecure, isStale, markReusable, receiveResponseEntity, receiveResponseHeader, releaseConnection, removeAttribute, sendRequestEntity, sendRequestHeader, setAttribute, setIdleDuration, setSocketTimeout, unmarkReusable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### poolEntry

          protected volatile AbstractPoolEntry poolEntry

      已过时。
      包裹的池条目。

  - ### 构造方法详细信息

    - #### AbstractPooledConnAdapter

          protected AbstractPooledConnAdapter(ClientConnectionManager manager,
                                   AbstractPoolEntry entry)

      已过时。
      创建一个新的连接适配器。
      参数
        `manager` - 连接管理器
        `entry` - 正在包装的连接的池条目

  - ### 方法详细信息

    - #### getId

          public String getId()

      已过时。
      描述从接口`ManagedHttpClientConnection`复制
      返回连接管理器的使用寿命期望为唯一的连接ID。

    - #### getPoolEntry

          @Deprecated
          protected AbstractPoolEntry getPoolEntry()

      已过时。 （4.0.1）
      获取池条目。
      结果
        池条目，或 `null`如果分离

    - #### assertValid

          protected void assertValid(AbstractPoolEntry entry)

      已过时。
      断言有一个有效的池条目。
      异常
        `ConnectionShutdownException` - 如果没有池条目或连接已中止
      另请参见：
        `AbstractClientConnAdapter.assertValid(OperatedClientConnection)`

    - #### assertAttached

          @Deprecated
          protected final void assertAttached()

      已过时。 （4.1）使用`assertValid(AbstractPoolEntry)`

    - #### detach

          protected void detach()

      已过时。
      从包装的连接中分离此适配器。 这个适配器变得没用了。
      重写：
        `detach`在 `AbstractClientConnAdapter`

    - #### getRoute

          public HttpRoute getRoute()

      已过时。
      描述从接口`ManagedClientConnection`复制
      获取此连接的当前路由。
      结果
        到目前为止建立的路线，或 `null`如果没有连接

    - #### open

          public void open(HttpRoute route,
                  HttpContext context,
                  HttpParams params)
                    throws IOException

      已过时。
      说明从接口`ManagedClientConnection`复制
      根据给定的路线打开这个连接。
      参数
        `route` - 打开的路线。 如果存在，或直接到目标，它将被打开到第一个代理。
        `context` - 打开此连接的上下文
        `params` - 打开此连接的参数
      异常
        `IOException` - 出现问题时

    - #### tunnelTarget

          public void tunnelTarget(boolean secure,
                          HttpParams params)
                            throws IOException

      已过时。
      描述从接口`ManagedClientConnection`复制
      表示已建立到目标的隧道。 路线是之前传递给`open`的路线 。 随后， `layerProtocol`可以被称为在隧道连接之上分层TLS / SSL协议。

      注意：在HttpClient 3中，调用相应的方法会自动触发TLS / SSL协议的分层。 不是这样，您可以建立隧道，而不需要通过连接分层新的协议。

      参数
        `secure` - `true`如果隧道应该被认为是安全的， `false`否则
        `params` - 隧道连接的参数
      异常
        `IOException` - 出现问题时

    - #### tunnelProxy

          public void tunnelProxy(HttpHost next,
                         boolean secure,
                         HttpParams params)
                           throws IOException

      已过时。
      描述从接口`ManagedClientConnection`复制
      表示已建立到中间代理的隧道。 这仅用于所谓的代理链 ，其中请求必须在到达目标之前通过多个代理。 在这种情况下，所有代理，但最后需要在建立连接时被隧道。 将最后一个代理隧道传送到目标是可选的，并将通过`ManagedClientConnection.tunnelTarget(boolean, org.apache.http.params.HttpParams)`指示。
      参数
        `next` - 建立隧道的代理。 这不是 通过设立该通道的代理，但隧道的新端点。 隧道还没有达到目标，使用`ManagedClientConnection.tunnelTarget(boolean, org.apache.http.params.HttpParams)`以指示终端到终端的隧道。
        `secure` - `true`如果连接被认为是安全的， `false`否则
        `params` - 隧道连接的参数
      异常
        `IOException` - 出现问题时

    - #### layerProtocol

          public void layerProtocol(HttpContext context,
                           HttpParams params)
                             throws IOException

      已过时。
      描述从接口`ManagedClientConnection`复制
      在`tunnelled`连接之上叠加一个新协议。 这通常用于通过代理创建TLS / SSL连接。 路线是之前传递给`open`的路线 。 不能保证分层连接是`secure` 。
      参数
        `context` - 在此连接之上分层的上下文
        `params` - 此连接顶部的分层参数
      异常
        `IOException` - 出现问题时

    - #### close

          public void close()
                     throws IOException

      已过时。
      异常
        `IOException`

    - #### shutdown

          public void shutdown()
                        throws IOException

      已过时。
      异常
        `IOException`

    - #### getState

          public Object getState()

      已过时。
      描述从接口`ManagedClientConnection`复制
      返回与此连接关联的状态对象。
      结果
        状态对象

    - #### setState

          public void setState(Object state)

      已过时。
      描述从接口`ManagedClientConnection`复制
      为此连接分配状态对象。 连接管理员可以在分配持久连接时使用连接状态。
      参数
        `state` - 状态对象

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585